Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class CertStoreCollectionSpi

    java.lang.Object
      |
      +--java.security.cert.CertStoreSpi
            |
            +--org.bouncycastle.jce.provider.CertStoreCollectionSpi

public class CertStoreCollectionSpi
extends CertStoreSpi

Constructor Summary
`CertStoreCollectionSpi(CertStoreParameters params)`

Method Summary
`Collection` | `engineGetCertificates(CertSelector selector)` Returns a `Collection` of `Certificate`s that match the specified selector.
`Collection` | `engineGetCRLs(CRLSelector selector)` Returns a `Collection` of `CRL`s that match the specified selector.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertStoreCollectionSpi

    public CertStoreCollectionSpi(CertStoreParameters params)
                           throws InvalidAlgorithmParameterException

Method Detail

### engineGetCertificates

    public Collection engineGetCertificates(CertSelector selector)
                                     throws CertStoreException

  Description copied from class: `CertStoreSpi`
  Returns a `Collection` of `Certificate`s that match the specified selector. If no `Certificate`s match the selector, an empty `Collection` will be returned.
  For some `CertStore` types, the resulting `Collection` may not contain all of the `Certificate`s that match the selector. For instance, an LDAP `CertStore` may not search all entries in the directory. Instead, it may just search entries that are likely to contain the `Certificate`s it is looking for.
  Some `CertStore` implementations (especially LDAP `CertStore`s) may throw a `CertStoreException` unless a non-null `CertSelector` is provided that includes specific criteria that can be used to find the certificates. Issuer and/or subject names are especially useful criteria.

  Specified by:
    `engineGetCertificates` in class `CertStoreSpi`
  Parameters:
    `selector` - A `CertSelector` used to select which `Certificate`s should be returned. Specify `null` to return all `Certificate`s (if supported).
  Returns:
    A `Collection` of `Certificate`s that match the specified selector (never `null`)
  Throws:
    `CertStoreException` - if an exception occurs

### engineGetCRLs

    public Collection engineGetCRLs(CRLSelector selector)
                             throws CertStoreException

  Description copied from class: `CertStoreSpi`
  Returns a `Collection` of `CRL`s that match the specified selector. If no `CRL`s match the selector, an empty `Collection` will be returned.
  For some `CertStore` types, the resulting `Collection` may not contain all of the `CRL`s that match the selector. For instance, an LDAP `CertStore` may not search all entries in the directory. Instead, it may just search entries that are likely to contain the `CRL`s it is looking for.
  Some `CertStore` implementations (especially LDAP `CertStore`s) may throw a `CertStoreException` unless a non-null `CRLSelector` is provided that includes specific criteria that can be used to find the CRLs. Issuer names and/or the certificate to be checked are especially useful.

  Specified by:
    `engineGetCRLs` in class `CertStoreSpi`
  Parameters:
    `selector` - A `CRLSelector` used to select which `CRL`s should be returned. Specify `null` to return all `CRL`s (if supported).
  Returns:
    A `Collection` of `CRL`s that match the specified selector (never `null`)
  Throws:
    `CertStoreException` - if an exception occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD